Name:          openorb-ots
Version:       1.4.0
Release:       %mkrel 2
Summary:       OpenORB Transaction Service
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/TransactionService-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-ots-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: geronimo-jta
BuildRequires: hsqldb
BuildRequires: java-1.5.0-gcj-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      geronimo-jta
Requires:      jpackage-utils
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains OpenORB Transaction Service libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB Transaction Service.

This package contains javadoc for %{name}.

%prep

%setup -q -n TransactionService

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

# lib/ext/jta_1.0.1.jar.no
# ln -sf $(build-classpath geronimo-jta) lib/ext/jta_1.0.1.jar
# lib/ext/savepoint.jar.no/

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java-gcj
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath commons-cli avalon-framework-api avalon-framework-impl avalon-logkit excalibur-configuration)
CLASSPATH=$CLASSPATH:$(build-classpath hsqldb jdbc-stdext xerces-j2 xml-commons-apis geronimo-jta junit)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools tools-openorb openorb)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all compile-javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_ots-%{version}.jar %{buildroot}%{_javadir}/openorb-ots-%{version}.jar
install -m 644 lib/openorb_ots_examples-%{version}.jar %{buildroot}%{_javadir}/openorb-ots-examples-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-ots-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-ots-%{version}/
ln -s openorb-ots-%{version} %{buildroot}%{_javadocdir}/openorb-ots

%files
%defattr(-,root,root)
%{_javadir}/openorb-ots-%{version}.jar
%{_javadir}/openorb-ots.jar
%{_javadir}/openorb-ots-examples-%{version}.jar
%{_javadir}/openorb-ots-examples.jar
%doc LICENSE.txt README

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/openorb-ots-%{version}
%{_javadocdir}/openorb-ots



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 362085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 28 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 135869
- Build with java5
- Fix avalon-framework in classpath
- Clean spec file to mageia guidelines

  + gil <gil>
    - imported package openorb-ots

